Subject: Re: [PATCH v2 2/2] Crypto: Talitos: Support for Async_tx XOR offload

From: Dan Williams <[email-masked]>
Date: Thu, 17 Dec 2009 10:44:26 -0700

Ira W. Snyder wrote:
> Yes, I have used the device_prep_dma_interrupt() functionality quite a
> while back. However, I found it to be pretty much useless.

The specific case it is needed for Talitos/raid is a channel switch 
interrupt.  The interrupt causes the cleanup operation to be run which 
will kick off any pending dependent operations on the xor channel.  In 
the raid case we only have callbacks at the end of a chain, so we need 
the interrupt to kick the engine in an operation chain like 
xor->copy->xor->callback.

--
Dan